<?php
 /*-----------------------------------*
  * Proyecto : SAI                    *
  * Autor    : Federico A. Ocampo     *
  * Desc: Interfaz web de Seleccion   *
  *       para Armado de Informes     *
  *-----------------------------------*/

  /*****************************************************************************
  .::. Clase AppConfig .::.
  @Autor:   Federico A. Ocampo
  @Email:   federico@mcanet.com.ar
  @Empresa: MCAnet
  @Descripcion: Clase para almacenar las variables de configuracion del programa
  *****************************************************************************/
  error_reporting(E_ERROR|E_USER_NOTICE);
  class AppConfig
  {
    var $APLICACION, $DEBUG, $BASE_DATOS, $GEN_REP, $XML_INFO;

    //--- Informacion de la aplicacion ----
    function AppConfig()
    {
      $this->APLICACION["name"] = "Hipermay";
      $this->APLICACION["desc"] = "Carga de datos";
      $this->APLICACION["vers"] = "0.01";

      //----Flags para generar el log con informacion de debug ----
      $thi1s->DEBUG["nivel"]  = 3;        //1=Errores, 2=Errores y Warnings, 3=Errores, Warnings e Informacion
      $this->DEBUG["logDir"] = "log/";   //Destino relativo/absoluto del log ("con barra al final")
      $this->DEBUG["errMail"]= "rguevara@mcanet.com.ar";


      //----- Informacion para la Base de Datos Postgres -----
      $this->BASE_DATOS_PG["host"] = "200.49.141.69";
      $this->BASE_DATOS_PG["user"] = "ideafix";
      $this->BASE_DATOS_PG["pass"] = "idea01";
      $this->BASE_DATOS_PG["name"] = "santa";

      $this->BASE_DATOS_MY["host"] = "localhost";
      $this->BASE_DATOS_MY["user"] = "c1_mcanet";
      $this->BASE_DATOS_MY["pass"] = "maximiliano";
      $this->BASE_DATOS_MY["name"] = "c1_mcanet";

      //---- Datos de la Aplicacion que genera los Reportes ----
      $this->GEN_REP["path"] = "/u/ipasa/admin/transac/";   //path de ubicacion del generador de reportes
      $this->GEN_REP["name"] = "anafin.sh";                //nombre del generador de reportes
      $this->GEN_REP["tipOut"] = "web";                    //Indicador para el programa de que genere el XML
      $this->GEN_REP["dirOut"] = "/u/tmp";                 //Directorio donde queda la salida del reporte
      $this->GEN_REP["msgFile"]= "/tmp/mensajeInfo.xml";   //Path del archivo XML de mensajes de error/warning
      $this->GEN_REP["path_error"]= "/home/samba/web/";   //Path del archivo XML de mensajes de error/warning
      $this->GEN_REP["path_anamov"]= "/home/samba/web/";   //Path del archivo XML de mensajes de error/warning
      $this->GEN_REP["version_gem"]=0;
      $this->GEN_REP["clave_gem"]="W";
      $this->GEN_REP["path_carmov"]= "";   //Path del archivo XML de mensajes de error/warning de la carmov
      $this->GEN_REP["msg_carmov"]= "carmov-";   //Path del archivo XML de mensajes de error/warning


      //---- Datos del devengamiento - facturacion ----
      $this->GEN_REP["codemp"]= 1;         //Cdigo de empresa
      $this->GEN_REP["codsuc"]= 0;         //Cdigo de sucursal
      $this->GEN_REP["tipentsoc"]= "S";   //Cdigo de tipo de entidad
      $this->GEN_REP["tipcomfac"]= "FC";  //Tipo de comprobante de facturacin
      $this->GEN_REP["opefac"]= 1;       //Operacion del comprobante de facturacion
      $this->GEN_REP["tipcomdev"]= "DA"; //Tipo de comprobante de devengamiento
      $this->GEN_REP["opedev"]= 1;       //Operacion del comprobante de devengamiento
	
      //---- Datos sobre el XML que retorna el generador de reportes -----
      $this->XML_INFO["colOff"] = 0; //cuantas columnas vacias hay antes de la primera con datos, en el
                                     //detalle de los grupos
    }
  }
?>
